<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet	version="1.0"
					xmlns="http://www.w3.org/1999/xhtml"
					xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
					xmlns:date="http://exslt.org/dates-and-times"
					xmlns:udt="http://umi-cms.ru/2007/UData/templates"
					xmlns:xlink="http://www.w3.org/TR/xlink"
					exclude-result-prefixes="xsl date udt xlink">

	<!-- Здесь выводится список страниц. -->

	<xsl:template match="result[@module = 'users'][@method = 'auth']">
		<h1 class="header">
			<!-- Подключаем заголовки -->
			<xsl:value-of select="@header" />
		</h1>
		<xsl:apply-templates select="document('udata://users/auth/')/udata" />
	</xsl:template>

	<xsl:template match="udata[@module = 'users'][@method = 'auth']">
		<xsl:choose>
			<xsl:when test="user_id">
				<div id="auth_default">
				<p><strong>Добро пожаловать, <xsl:value-of select="user_name" /> (<xsl:value-of select="user_login" />)</strong></p>
				<p>
					<a class="blue" href="/users/logout/">Выйти</a> <br />
					<a class="blue" href="/users/settings/">Перейти в персональный раздел</a>
				</p>
			</div>
			</xsl:when>
			<xsl:otherwise>
				<p>Вы ввели неверный логин или пароль. Проверьте раскладку клавиатуры, не нажата ли клавиша «Caps Lock» и попробуйте ввести логин и пароль еще раз:</p>
				<form method="post" action="/users/login_do/">
					<div><label for="login"><strong>Логин:</strong></label></div>
					<div><input type="text" value="" class="textinputs" name="login" id="login"/></div>
					<div><label for="password"><strong>Пароль:</strong></label></div>
					<div><input type="password" value="" class="textinputs" name="password" id="password"/></div>
					<div><input type="submit" value="Вход"/></div>
					<input type="hidden" value="/users/login/" name="from_page" style="display:none;"/>
				</form>
				<p>Если Вы еще не зарегистрированы на сайте, Вы можете <a class="sub" href="/users/registrate/">зарегистрироваться</a>.</p>
				<p>Если Вы забыли пароль, Вы можете <a class="sub" href="/users/forget/">воспользоваться сервисом восстановления пароля</a>.</p>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<xsl:template match="udata[@module = 'users'][@method = 'auth']" mode="main">
		<xsl:choose>
			<xsl:when test="user_id">
				<div id="auth_right">
					<p><strong>Добро пожаловать, <xsl:value-of select="user_name" /> (<xsl:value-of select="user_login" />)</strong></p>
					<p>
						<a href="/users/logout/" style="margin-right:10px;">Выйти</a>
						<a href="/users/settings/">Перейти в персональный раздел</a>
					</p>
				</div>
			</xsl:when>
			<xsl:otherwise>
				<form method="post" action="/users/login_do/" id="auth_right">
					<div>
						<label>
							<input type="text" value="" class="textinputs" name="login" id="login" />
							<strong>Логин:</strong>
						</label>
					</div>
					<div>
						<label>
							<input type="password" value="" class="textinputs" name="password" id="password"/>
							<strong>Пароль:</strong>
						</label>
					</div>
					<div><input type="submit" value="Вход"/></div>
					<input type="hidden" value="{$url}" name="from_page" />
				</form>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

</xsl:stylesheet>